Subject: Re: To use or _NOT_ to use InstallShield? WAS: Re: B19: InstallShield reports: "WinExec failed: return=20" after 99% completion
From: [email-masked] (Marty Leisner)

5 May 1998 21:41:48 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: gw32 <[email-masked]>

> I'd like to see a zipped tarball of the binaries and include files;
> and, a zipped tarball of the diffs in the cdk-src.
> 
> Using the InstallShield gets in the way of the intelligent and the
> non-intelligent aren't going to understand it even if you provided
> mpeg explaining it.
> 
> The idea here is that you must already have some concept of the UNIX
> filesystem and UNIX administration.  If you don't have that, then
> you've got to learn it also; and it still doesn't matter how it is
> packaged.
> 
> Just my two cents worth,
> 
> ==
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------

I heartedly agree with Ernie.

I hate the Ms-dos centric way of installing and taking over your
machine...and assuming the install is logical.

I'd much rather deal with a tar ball and some instructions...then I could
also extract files on a need basis out of the tar ball...

Frankly I don't see why InstallSheild is necessary unless you're trying to
convince install-happy windows weinies.

Two programs/scripts (install and uninstall registry entries) would be
necessary.

And I normally like to upack my windows packages on my Unix system for
pre-use inspection (or try it out off a samba mount).

-- 
marty
[email-masked]  
The Feynman problem solving Algorithm
        1) Write down the problem
        2) Think real hard
        3) Write down the answer
                Murray Gell-mann in the NY Times

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".